Installazione Texlive

Informazioni, consigli e novità sulla galassia delle distribuzioni GNU/Linux, *nix, *BSD e su altri sistemi operativi non liberi.

Installazione Texlive

Messaggioda cartman-10189 » venerdì 28 dicembre 2018, 10:50

Ciao a tutti! Ho Elementary OS Juno. Sto provando ad installare TexLive full, ma ottengo il seguente errore:

Codice: Seleziona tutto
luca@dell-luca:~$ sudo apt-get install texlive-full
[sudo] password for luca:               
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 texlive-full : Depends: asymptote but it is not going to be installed
E: Unable to correct problems, you have held broken packages.


Non so se possa essere un problema correlabile anche a repository corrotti, dal momento che mi compaiono degli aggiormamenti di sistema disponibili nell'AppCenter e non riesco ad installarli. :muro:
cartman-10189
Prode Principiante
 
Messaggi: 1
Iscrizione: dicembre 2018
Desktop: pantheon
Distribuzione: elementary OS 5.0 Juno
Sesso: Maschile

Re: Installazione Texlive

Messaggioda DoctorStrange » venerdì 28 dicembre 2018, 11:29

L'hai letto il messaggio? Dice che c'è una dipendenza mancante che si chiama "asymptote". L'hai installata, manualmente?

La storia dell'AppCenter che non ti permette di installare invece mi sembra che sia diversa. Descrivi meglio.
Avatar utente
DoctorStrange
Entusiasta Emergente
Entusiasta Emergente
 
Messaggi: 1463
Iscrizione: ottobre 2015
Località: Roma, Italia
Desktop: Unity
Distribuzione: Ubuntu 16.04.03 Xenial Xerus
Sesso: Maschile

Re: Installazione Texlive

Messaggioda caturen » venerdì 28 dicembre 2018, 12:48

Non so se possa essere un problema correlabile anche a repository corrotti
allora prima di tutto posta
Codice: Seleziona tutto
sudo apt update

Codice: Seleziona tutto
sudo apt upgrade
caturen
Tenace Tecnocrate
Tenace Tecnocrate
 
Messaggi: 14741
Iscrizione: aprile 2010
Desktop: diversi
Distribuzione: debian sid

Re: Installazione Texlive

Messaggioda cartman-10189 » venerdì 28 dicembre 2018, 17:41

Se provo ad installare manualmente asymptote ottengo il seguente messaggio d'errore:

Codice: Seleziona tutto
luca@dell-luca:~$ sudo apt-get install asymptote
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Some packages could not be installed. This may mean that you have
requested an impossible situation or if you are using the unstable
distribution that some required packages have not yet been created
or been moved out of Incoming.
The following information may help to resolve the situation:

The following packages have unmet dependencies:
 asymptote : Depends: libosmesa6 (>= 10.2~) but it is not going to be installed
E: Unable to correct problems, you have held broken packages.


Se invece lancio
Codice: Seleziona tutto
sudo apt update
e
Codice: Seleziona tutto
sudo apt upgrade
ottengo i seguenti output:

Codice: Seleziona tutto
luca@dell-luca:~$ sudo apt update
Get:1 http://security.ubuntu.com/ubuntu xenial-security InRelease [107 kB]
Hit:2 http://archive.ubuntu.com/ubuntu bionic InRelease                                                                                                   
Hit:3 http://archive.canonical.com/ubuntu xenial InRelease                                                                                               
Hit:4 http://ppa.launchpad.net/elementary-os/stable/ubuntu xenial InRelease                         
Hit:5 http://it.archive.ubuntu.com/ubuntu xenial InRelease                                                                           
Hit:6 http://ppa.launchpad.net/jonathonf/texlive/ubuntu bionic InRelease                                                             
Get:7 http://security.ubuntu.com/ubuntu bionic-security InRelease [83,2 kB]                                                         
Hit:8 http://ppa.launchpad.net/elementary-os/os-patches/ubuntu xenial InRelease                                           
Hit:9 http://it.archive.ubuntu.com/ubuntu xenial-updates InRelease                                       
Fetched 190 kB in 3s (67,7 kB/s)
Reading package lists... Done
Building dependency tree       
Reading state information... Done
2 packages can be upgraded. Run 'apt list --upgradable' to see them.


Codice: Seleziona tutto
luca@dell-luca:~$ sudo apt upgrade
Reading package lists... Done
Building dependency tree       
Reading state information... Done
Calculating upgrade... Done
The following packages were automatically installed and are no longer required:
  fonts-lato fonts-lmodern fonts-texgyre libkpathsea6 libmime-charset-perl libpotrace0 libptexenc1 libruby2.5 libsombok3 libtexlua52 libtexluajit2 libunicode-linebreak-perl libzzip-0-13 linux-headers-4.15.0-39
  linux-headers-4.15.0-39-generic linux-image-4.15.0-39-generic linux-modules-4.15.0-39-generic linux-modules-extra-4.15.0-39-generic lmodern preview-latex-style ps2eps rake ruby ruby-did-you-mean ruby-minitest ruby-net-telnet
  ruby-power-assert ruby-test-unit ruby2.5 rubygems-integration tex-common tex-gyre
Use 'sudo apt autoremove' to remove them.
The following packages have been kept back:
  liblapack3 qtchooser
0 upgraded, 0 newly installed, 0 to remove and 2 not upgraded.


Gli updates che mi compaiono nell'AppCenter e che non riesco a scaricare sono i pacchetti liblapack3 e qtchooser

Secondo me (ma non sono un esperto, anzi) la chiave di tutto sta nell'errore di unmet dependencies
cartman-10189
Prode Principiante
 
Messaggi: 1
Iscrizione: dicembre 2018
Desktop: pantheon
Distribuzione: elementary OS 5.0 Juno
Sesso: Maschile

Re: Installazione Texlive

Messaggioda wilecoyote » venerdì 28 dicembre 2018, 18:05

Immagine Salve, hai un paciugo tra Xenial e Bionic nel file fonti repository.

Aprilo coll'editor (non so quale usi Elementary):

Codice: Seleziona tutto
sudo -H <nomeeditor> /etc/apt/sources.list


<nomeeditor> sostituiscilo col nome dell'editor, pluma, gedit o quello che sia.

Cambia tutti i xenial in bionic, se nell'editor è disponibile la funzione puoi usare la scorciatoia Ctrl+H per cambiarli tutti in un solo colpo.

A termine salva con Ctrl+S e chiudi con Ctrl+Q.

Adesso aggiornamento completo:

Codice: Seleziona tutto
sudo apt update
sudo apt full-upgrade


Il 1° aggiorna la lista dei pacchetti, il 2° esegue l'aggiornamento.

Fatto tutto ti consiglio un riavvio del sistema.

Immagine Ciao
ACER Extensa 5230E 2,2 Ghz cpu Celeron 900 hdd 160 GB Ram 1GB scheda video Intel GM500
ACER Extensa 5635Z 2,2 Ghz cpu Celeron T3100 hdd 320 GB Ram 4 GB scheda video Intel Mobile 4
Quando una Finestra chiusa incontra un Pinguino la Finestra chiusa è una Finestra aperta.
Avatar utente
wilecoyote
Rampante Reduce
Rampante Reduce
 
Messaggi: 9050
Iscrizione: agosto 2009
Località: Ceranesi - Ge
Desktop: Kubuntu Lubuntu
Distribuzione: 9.04 32bit 14/16/18.04 LTS 64bit
Sesso: Maschile

Re: Installazione Texlive

Messaggioda cartman-10189 » venerdì 28 dicembre 2018, 21:29

Grande! L'installazione è andata a buon fine, grazie!! :birra:
Posto il sources.list si Elementary OS nel caso in cui un domani qualcuno lo incasini come avevo fatto io (per fortuna che ne avevo fatto un backup :D ).

Codice: Seleziona tutto
# deb cdrom:[elementary OS 5.0 _Juno_ - Stable amd64 (20181016)]/ bionic contrib main non-free

# See http://help.ubuntu.com/community/UpgradeNotes for how to upgrade to
# newer versions of the distribution.
deb http://it.archive.ubuntu.com/ubuntu/ bionic main restricted
# deb-src http://it.archive.ubuntu.com/ubuntu/ bionic main restricted

## Major bug fix updates produced after the final release of the
## distribution.
deb http://it.archive.ubuntu.com/ubuntu/ bionic-updates main restricted
# deb-src http://it.archive.ubuntu.com/ubuntu/ bionic-updates main restricted

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team. Also, please note that software in universe WILL NOT receive any
## review or updates from the Ubuntu security team.
deb http://it.archive.ubuntu.com/ubuntu/ bionic universe
# deb-src http://it.archive.ubuntu.com/ubuntu/ bionic universe
deb http://it.archive.ubuntu.com/ubuntu/ bionic-updates universe
# deb-src http://it.archive.ubuntu.com/ubuntu/ bionic-updates universe

## N.B. software from this repository is ENTIRELY UNSUPPORTED by the Ubuntu
## team, and may not be under a free licence. Please satisfy yourself as to
## your rights to use the software. Also, please note that software in
## multiverse WILL NOT receive any review or updates from the Ubuntu
## security team.
deb http://it.archive.ubuntu.com/ubuntu/ bionic multiverse
# deb-src http://it.archive.ubuntu.com/ubuntu/ bionic multiverse
deb http://it.archive.ubuntu.com/ubuntu/ bionic-updates multiverse
# deb-src http://it.archive.ubuntu.com/ubuntu/ bionic-updates multiverse

## N.B. software from this repository may not have been tested as
## extensively as that contained in the main release, although it includes
## newer versions of some applications which may provide useful features.
## Also, please note that software in backports WILL NOT receive any review
## or updates from the Ubuntu security team.
deb http://it.archive.ubuntu.com/ubuntu/ bionic-backports main restricted universe multiverse
# deb-src http://it.archive.ubuntu.com/ubuntu/ bionic-backports main restricted universe multiverse

## Uncomment the following two lines to add software from Canonical's
## 'partner' repository.
## This software is not part of Ubuntu, but is offered by Canonical and the
## respective vendors as a service to Ubuntu users.
# deb http://archive.canonical.com/ubuntu bionic partner
# deb-src http://archive.canonical.com/ubuntu bionic partner

deb http://security.ubuntu.com/ubuntu bionic-security main restricted
# deb-src http://security.ubuntu.com/ubuntu bionic-security main restricted
deb http://security.ubuntu.com/ubuntu bionic-security universe
# deb-src http://security.ubuntu.com/ubuntu bionic-security universe
deb http://security.ubuntu.com/ubuntu bionic-security multiverse
# deb-src http://security.ubuntu.com/ubuntu bionic-security multiverse


Grazie ancora a tutti e buone feste!
cartman-10189
Prode Principiante
 
Messaggi: 1
Iscrizione: dicembre 2018
Desktop: pantheon
Distribuzione: elementary OS 5.0 Juno
Sesso: Maschile


Torna a Altre distribuzioni e sistemi operativi

Chi c’è in linea

Visualizzano questa sezione: Rosssiiii e 6 ospiti